#ifndef PANIC_INCLUDED
#define PANIC_INCLUDED

#define EASTEREGG_BLOATWARE

#include <stdint.h>

void panic(int reason, int type);
struct stack_frame {
  struct stack_frame *next; 
  uint64_t function_base;
} __attribute__((packed));

//kernel panic reasons, likely to grow at an extremely fast rate
#define KERNEL_PANIC_PMAPSIZE         0
#define KERNEL_PANIC_RSDP_UNFOUND     1
#define KERNEL_PANIC_KERNEL_RETURNED  2


//kernel panic types, may or may not expand once I get further in development
#define KERNEL_PANIC_INVOKED  0
#define KERNEL_PANIC_ERROR    1 //i'll change this once I see what happends

//TODO move this to some kind of global more accesable header 
#define DEV_EMAIL "brett_weiland@bpcspace.com"

#endif
